# Historic Data `GET` `https://api.unusualwhales.com/api/option-contract/{id}/historic` Returns for every trading day historic data for the given option contract. Data includes open, high, low, close of the contract of fills. The percentage of the volume which was part of a multi leg trade, stock multi leg trade, sweep, floor and cross. The high and low of the implied volatility is included as well as the volume distributed per sides: Ask, bid, mid and neutral. Neutral is volume that is either a cross trade or from trades that came in late. You can use this endpoint to retrieve for a given chains historical details about how much volume has been traded in the past, when the OI did start to build and much more. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `id` | OptionContract | Yes | An option contract in the OSI format. | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Min Limit 1 | No | How many items to return. If no limit is given, returns all matching data. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `ask_volume` | Option Contract Ask Volume | The amount of volume that happened on the ask side. Ask side is defined as (ask + bid) / 2 < fill price. | | `avg_price` | Option Contract Avg Price | The volume weighted average fill price of the contract. | | `bid_volume` | Option Contract Bid Volume | The amount of volume that happened on the bid side. Bid side is defined as (ask + bid) / 2 > fill price. | | `cross_volume` | Option Contract Cross Volume | The amount of cross volume. Cross volume consists of all transaction that have the cross trade code. | | `date` | Market General Trading day | A trading date in ISO format. | | `floor_volume` | Option Contract Floor Volume | The amount of floor volume. Floor volume consists of all transaction that have the floor trade code. | | `high_price` | Option Contract High | The highest fill on that contract. | | `implied_volatility` | Option Contract Last Transaction IV | The implied volatility for the last transaction. | | `iv_high` | Option Contract IV High | The highest implied volatility at which a transaction occurred. | | `iv_low` | Option Contract IV Low | The lowest implied volatility at which a transaction occurred. | | `last_price` | Option Contract Close | The last fill on the contract. | | `last_tape_time` | Option Contract Last Transaction Time | The last time there was a transaction for the given contract as UTC timestamp. | | `low_price` | Option Contract Low | The lowest fill on that contract. | | `mid_volume` | Option Contract Mid Volume | The amount of volume that happened in the middle of the ask and bid. Mid is defined as (ask + bid) / 2 == fill price. | | `multi_leg_volume` | Option Contract Multi Leg Volume | The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more. | | `nbbo_ask` | Last NBBO Ask | The NBBO Ask price for the final tick of that day's trading session. | | `nbbo_bid` | Last NBBO Bid | The NBBO Bid price for the final tick of that day's trading session. | | `no_side_volume` | Option Contract No Side Volume | The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions. | | `open_interest` | Option Contract Open interest | The open interest for the contract. | | `open_price` | Option Contract Open | The first fill on that contract. | | `stock_multi_leg_volume` | Option Contract Stock Multi Leg Volume | The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more. | | `sweep_volume` | Option Contract Sweep Volume | The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code. | | `total_ask_changes` | Option Contract Total Ask Changes | The total count of changes to the NBBO ask during that day's trading session. | | `total_bid_changes` | Option Contract Total Bid Changes | The total count of changes to the NBBO bid during that day's trading session. | | `total_premium` | Option Contract Premium | The total option premium. | | `trades` | Option Contract Total Trades Count | The amount of transaction for this contract. | | `volume` | Option Contract Volume | The contract volume. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/option-contract/{id}/historic" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/option-contract/{id}/historic", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "chains": [ { "ask_volume": 1766, "avg_price": "0.01360828625235404896", "bid_volume": 887, "cross_volume": 0, "date": "2023-05-26", "floor_volume": 0, "high_price": "0.03", "implied_volatility": "0.310502942482285", "iv_high": "0.675815680048166", "iv_low": "0.310502942482285", "last_price": "0.01", "last_tape_time": "2023-05-26T21:30:29.000000Z", "low_price": "0.01", "mid_volume": 0, "multi_leg_volume": 393, "nbbo_ask": "0.45", "nbbo_bid": "0.30", "neutral_volume": 2, "open_interest": 15907, "open_price": "0.02", "stock_multi_leg_volume": 0, "sweep_volume": 752, "total_ask_changes": 165, "total_bid_changes": 28, "total_premium": "3613.00", "trades": 244, "volume": 2655 } ] } ```